%define major 0.8
Name: evince
Version: %major.0
Release: alt1

Summary: A document viewer

License: GPL
Group: Office
Url: http://www.gnome.org/projects/evince/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://ftp.gnome.org/pub/GNOME/sources/%name/%major/%name-%version.tar.bz2
#Patch: %name-%version.patch

# Typical environment for GNOME program
Requires(post): GConf2
Requires(post,postun): scrollkeeper
Requires(post,postun): desktop-file-utils
BuildPreReq: GConf2
BuildPreReq: desktop-file-utils
BuildPreReq: rpm-build-compat

# manually removed: glibc-devel-static linux-libc-headers 
# Automatically added by buildreq on Fri Feb 16 2007
BuildRequires: docbook-dtds gcc-c++ GConf ghostscript-module-X glibc-devel gnome-doc-utils libavahi-glib libdbus-glib-devel libdjvu-devel libgnomeprintui-devel libgnomeui-devel libjpeg-devel libnautilus-devel libpoppler-glib-devel libpoppler-qt-devel libtiff-devel perl-XML-Parser python-modules-compiler python-modules-encodings t1lib-devel tetex-devel

BuildPreReq: gnome-icon-theme gnome-doc-utils libpoppler-devel >= 0.5.1 libpoppler-glib-devel >= 0.5.1 libdjvu-devel >= 3.5.17

%description
Evince is a document viewer capable of displaying multiple and single page docum
ent formats like PDF and Postscript.

%prep
%setup -q
%__bzip2 -k ChangeLog
#%patch

%build
#__autoreconf && gnome-doc-prepare --copy --force
#./autogen.sh

%configure --disable-schemas-install --disable-scrollkeeper \
	--enable-nautilus --enable-tiff \
	--enable-djvu --enable-dvi \
	--enable-comics --enable-impress \
	--enable-t1lib --enable-pixbuf

%make_build

%install
%makeinstall

%find_lang %name --with-gnome
rm -rf %buildroot%_localstatedir/scrollkeeper

%post
%gconf2_install %name
%update_menus
%update_scrollkeeper
%update_desktopdb

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus
%clean_scrollkeeper
%clean_desktopdb

%files -f %name.lang
%doc AUTHORS ChangeLog.bz2 NEWS README
%config %_sysconfdir/gconf/schemas/*.schemas
%_bindir/*
%_desktopdir/*.desktop
%_datadir/%name/
#%_liconsdir/*
#%_miconsdir/*
%_iconsdir/hicolor/*/apps/*
%_man1dir/*
%_gtkdocdir/%name
# FIXME: some depends?
#%files -n nautilus-extension-evince
#%defattr(644,root,root,755)
#%attr(755,root,root) %_libdir/nautilus/extensions-1.0/*.so*
%_libdir/nautilus/extensions-1.0/*

%changelog
* Wed Mar 14 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.0-alt1
- new version 0.8.0 (with rpmrb script)
- bzip ChangeLog (fix bug #11077), thanks icesik@

* Fri Feb 16 2007 Vitaly Lipatov <lav@altlinux.ru> 0.7.2-alt1
- new version 0.7.2 (with rpmrb script)

* Tue Dec 26 2006 Vitaly Lipatov <lav@altlinux.ru> 0.7.0-alt0.1
- new version 0.7.0 (with rpmrb script)

* Fri Oct 13 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt0.1
- new version 0.6.1 (with rpmrb script)

* Sun Sep 10 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt0.1
- new version (0.6.0), add icons
- remove debian menu, update buildreqs

* Thu Jul 20 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.4-alt0.1
- new version 0.5.4 (with rpmrb script)

* Sun May 21 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.2-alt0.1
- enable comics support
- fix build with new libpoppler

* Mon Mar 27 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.2-alt0.1
- new version (0.5.2)
- update buildreq, use make_build

* Mon Feb 13 2006 Vitaly Lipatov <lav@altlinux.ru> 0.4.0-alt1
- new version

* Sat Sep 10 2005 Vitaly Lipatov <lav@altlinux.ru> 0.4.0-alt0.1
- new version, build with libpoppler 0.4.2, djvu, t1lib
- build with new gnome-doc-utils

* Sun Jul 31 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.2-alt0.1
- first build for ALT Linux Sisyphus
